## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.extensions
Interface IEditorPageDescriptor

    public interface IEditorPageDescriptor

Containing some static information of an editor page

Author:
  Idull

Method Summary
`java.lang.String` `getContextHelpId()` Returns the context help id
`IEditorDescriptor` `getEditor()` Returns the instance of the editor in which this page is contained
`java.lang.String` `getEditorId()` Returns the id of the editor in which this page is contained
`java.lang.String` `getObjectClassType()` Returns the object class type for which the page is designed
`ISchemaObjectEditorPage` `getPageClass()` Returns the page instance
`java.lang.String` `getPageExtensionId()` Returns the page extension id defined in the extension, can be `null`
`java.lang.String` `getPageId()` Returns the page id
`java.lang.String` `getPageName()` Returns the page name
`boolean` `isRequired()` Checks if this page is required (Must be visible)
`boolean` `isSelectedToShow()` Checks if this page is visible or not
`boolean` `isVisible()` Checks if the page is selected to be visible
`boolean` `isVisibleByDefault()` Checks if the page is visible by default

Method Detail

### getPageId

    java.lang.String getPageId()

  Returns the page id

  Returns:

### getPageName

    java.lang.String getPageName()

  Returns the page name

  Returns:

### getEditorId

    java.lang.String getEditorId()

  Returns the id of the editor in which this page is contained

  Returns:

### isRequired

    boolean isRequired()

  Checks if this page is required (Must be visible)

  Returns:

### isVisibleByDefault

    boolean isVisibleByDefault()

  Checks if the page is visible by default

  Returns:

### isSelectedToShow

    boolean isSelectedToShow()

  Checks if this page is visible or not

  Returns:

### getPageClass

    ISchemaObjectEditorPage getPageClass()

  Returns the page instance

  Returns:

### getPageExtensionId

    java.lang.String getPageExtensionId()

  Returns the page extension id defined in the extension, can be `null`

  Returns:

### getEditor

    IEditorDescriptor getEditor()

  Returns the instance of the editor in which this page is contained

  Returns:

### getContextHelpId

    java.lang.String getContextHelpId()

  Returns the context help id

  Returns:

### getObjectClassType

    java.lang.String getObjectClassType()

  Returns the object class type for which the page is designed

  Returns:

### isVisible

    boolean isVisible()

  Checks if the page is selected to be visible

  Returns: